> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identity field configuration of an identity



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/identity/configuration/configuration/{identityId}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/identity/configuration/configuration/{identityId}:
    get:
      tags:
        - Directory
      summary: Get identity field configuration of an identity
      operationId: publicGetSingleIdentityFieldConfiguration
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: identityId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicGetSingleIdentityFieldConfigurationResponseDto
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicGetSingleIdentityFieldConfigurationResponseDto:
      type: object
      properties:
        presetFields:
          readOnly: true
          type: array
          items:
            $ref: >-
              #/components/schemas/PublicSingleIdentityPresetFieldConfigurationDto
      required:
        - presetFields
    PublicSingleIdentityPresetFieldConfigurationDto:
      type: object
      properties:
        uniqueName:
          type: string
          readOnly: true
          example: asset_number
        hidden:
          type: boolean
          readOnly: true
          example: false
        editable:
          type: boolean
          readOnly: true
          example: false
        sourceOfTruth:
          readOnly: true
          example: asset_number
          allOf:
            - $ref: '#/components/schemas/SourceOfTruthDto'
      required:
        - uniqueName
        - hidden
        - editable
        - sourceOfTruth
    SourceOfTruthDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
          example: 1
        source:
          readOnly: true
          example: workspace
          allOf:
            - $ref: '#/components/schemas/IdentitySourceOfTruthSource'
      required:
        - workspaceId
        - source
    IdentitySourceOfTruthSource:
      type: string
      enum:
        - workspace
        - admina
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````